#!/bin/bash
# vm-setup.sh
#  
# This script installs ONOS dependencies and installs a desktop environment on a Miniet VM.


USER=tutorial1
USER_HOME=/home/${USER}

export ONOS_FEATURES="webconsole,onos-api,onos-core,onos-cli,onos-openflow"
export ONOS_USER=$USER

export ONOS_ROOT=~/onos-next
source $ONOS_ROOT/tools/dev/bash_profile

cd $ONOS_ROOT
mci
cd -

sed -i -e s/sdn/$USER/ onos-next/tools/package/debian/onos.conf

cat << EOF >> onos-next/tools/test/cells/tutorial
export ONOS_NIC=127.0.0.*
export OC1="127.0.0.1" 
export OCI="${OC1}"
export ONOS_FEATURES="webconsole,onos-api,onos-core,onos-core-trivial,onos-cli,onos-openflow" 
EOF

onos-package
onos-install -f $OCI

